Skip to main content
PUT
/
crm
/
lists
/
2026-03
/
{listId}
/
update-list-filters
Update List Filter Definition
curl --request PUT \
  --url https://api.hubapi.com/crm/lists/2026-03/{listId}/update-list-filters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": {
              "includeObjectsWithNoValueSet": true,
              "operationType": "BOOL",
              "operator": "<string>",
              "value": true
            },
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  }
}
'
import requests

url = "https://api.hubapi.com/crm/lists/2026-03/{listId}/update-list-filters"

payload = { "filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": True,
"operationType": "BOOL",
"operator": "<string>",
"value": True
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": True,
"operationType": "BOOL",
"operator": "<string>",
"value": True
},
"property": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filterBranch: {
filterBranchOperator: '<string>',
filterBranchType: 'OR',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'AND',
filterBranches: '<array>',
filters: [
{
filterType: 'PROPERTY',
operation: {
includeObjectsWithNoValueSet: true,
operationType: 'BOOL',
operator: '<string>',
value: true
},
property: '<string>'
}
]
}
],
filters: [
{
filterType: 'PROPERTY',
operation: {
includeObjectsWithNoValueSet: true,
operationType: 'BOOL',
operator: '<string>',
value: true
},
property: '<string>'
}
]
}
})
};

fetch('https://api.hubapi.com/crm/lists/2026-03/{listId}/update-list-filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "updatedList": {
    "listId": "<string>",
    "listVersion": 123,
    "name": "<string>",
    "objectTypeId": "<string>",
    "processingStatus": "<string>",
    "processingType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "filterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": true,
                "operationType": "BOOL",
                "operator": "<string>",
                "value": true
              },
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-07T05:31:56Z",
    "listPermissions": {
      "teamsWithEditAccess": [
        123
      ],
      "usersWithEditAccess": [
        123
      ]
    },
    "membershipSettings": {
      "includeUnassigned": true,
      "membershipTeamId": 123
    },
    "size": 123,
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedById": "<string>"
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

listId
string
required

The ILS ID of the list to update.

Query Parameters

enrollObjectsInWorkflows
boolean
default:false

A flag indicating whether or not the memberships added to the list as a result of the filter change should be enrolled in workflows that are relevant to this list.

Body

application/json
filterBranch
OR · object
required

Updated filtering criteria for the list

Response

successful operation

updatedList
object
Last modified on May 12, 2026